Skip to main content
`Ctrl`+`K`

# QueryOrigin

class astropy.io.votable.dataorigin.QueryOrigin(votable_element=None)

  Bases: `object`

  Data class storing query execution information that generated the VOTable.

  Attributes:
    service_ivoid `python:str`

      IVOID of the service that produced the VOTable (default: None)

    publisher `python:str`

      Data centre that produced the VOTable (default: None)

    server_software `python:str`

      Software version (default: None)

    service_protocol `python:str`

      IVOID of the protocol through which the data was retrieved (default: None)

    request `python:str`

      Full request URL including a query string (default: None)

    query `python:str`

      An input query in a formal language (e.g, ADQL) (default: None)

    request_date `python:str`

      Query execution date (default: None)

    contact `python:str`

      Email or URL to contact publisher (default: None)

    infos `python:list`[`astropy.io.votable.tree.Info`]

      list of `<INFO>` used by DataOrigin (default: empty list)

  Notes

  The Query information should be unique in the whole VOTable. It includes reproducibility information to execute the query again.

  Attributes Summary

  `standardID` | Compatibility with previous version

  Attributes Documentation

  standardID

    Compatibility with previous version